## waterfox 56.2.5

=== debian/changelog ===
waterfox (56.2.5-0.1~mx17+1) mx; urgency=medium

  * Rebuild for MX Linux.
  * Use llvm-4.0 and clang-4.0 toolchain.
  * Make langpacks arch-independent packages.
  * Cut out the apparmor stuff, just have alternative install postint and 
    prerm scripts.

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 02 Nov 2018 13:35:02 -0700

waterfox (56.2.5-0) xenial; urgency=high

    * Mozilla Foundation Security Advisories patched:

        - 2018-23
        - 2018-24
        - 2018-27

    * Added AppArmor profile

 -- hawkeye116477 <hawkeye116477@gmail.com>  Thu, 1 Nov 2018 14:10:00 +0200

waterfox (56.2.4-0) xenial; urgency=high

    * Mozilla Foundation Security Advisories patched:
        - 2018-23
        - 2018-24

    * There is now a complete backup of all classic add-ons from the Mozilla Add-On Store, mirrored on the Waterfox CDN. You can use the Classic add-on Archive add-on to view the catalogue. This will be integrated into the next minor Waterfox version (56.3).

    * Moved from /opt to /usr/lib to follow Debian's standards

 -- hawkeye116477 <hawkeye116477@gmail.com>  Mon, 15 Oct 2018 13:48:00 +0200

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export SHELL=/bin/bash

%:
	dh $@

override_dh_auto_clean:
	rm -f .mozconfig
	dh_auto_clean
	find . -name '*.pyc' -delete

override_dh_auto_configure:
	cp debian/mozconfig mozconfig

override_dh_auto_build:
	./mach build

override_dh_auto_install:
	chmod +x $$(pwd)/debian/waterfox-bin.sh
	DESTDIR=$$(pwd)/debian/waterfox ./mach install
	mv $$(pwd)/debian/waterfox/usr/lib/waterfox/browser/features/ $$(pwd)
	rm -rf $$(pwd)/debian/waterfox/usr/lib/waterfox/waterfox-bin
	rm -rf $$(pwd)/debian/waterfox/usr/lib/waterfox/dictionaries

override_dh_shlibdeps:
	dh_shlibdeps -l /usr/lib/waterfox/waterfox

## waterfox 2019.10

=== testing/firefox-ui/harness/requirements.txt ===
firefox-puppeteer >= 52.1.0, <53.0.0
marionette-harness >= 4.0.0
mozfile >= 1.2
mozinfo >= 0.8
mozinstall >= 1.12

=== testing/marionette/harness/requirements.txt ===
browsermob-proxy >= 0.6.0
manifestparser >= 1.1
marionette-driver >= 2.3.0
mozcrash >= 0.5
mozdevice >= 0.44
mozinfo >= 0.8
mozlog >= 3.0
moznetwork >= 0.21
mozprocess >= 0.9
mozprofile >= 0.7
mozrunner >= 6.13
moztest >= 0.8
mozversion >= 1.1
wptserve >= 1.3.0

=== testing/web-platform/tests/css/requirements.txt ===
six==1.10.0
Template-Python==0.1.post1
html5lib==0.9999999
lxml==3.7.3
mercurial==4.1

=== testing/marionette/harness/marionette_harness/runner/mixins/browsermob-proxy-py/docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/BrowserMobProxy.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/BrowserMobProxy.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/BrowserMobProxy"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/BrowserMobProxy"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

## waterfox 56.2.6

=== debian/changelog ===
waterfox (56.2.6-0~mx17+1) mx; urgency=medium

  * Rebuild for MX 17.

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 11 Jan 2019 13:30:51 -0800

waterfox (56.2.6-0) obs; urgency=high
    * Mozilla Foundation Security Advisories patched:

        - 2018-30

    * Updated NSS to 3.34
    * Updated manpage
    * Added missing symlink for syspref.js
    * Updated translation of waterfox.desktop to Chinese by pirate486743186

 -- hawkeye116477 <hawkeye116477@gmail.com>  Thu, 20 Dec 2018 11:29:00 +0200

waterfox (56.2.5.1-0) obs; urgency=high
    * Fix postinst error
    * Add syspref.js in /etc/waterfox for setting preferences for all users

=== debian/control ===
Source: waterfox
Section: web
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: hawkeye116477 <hawkeye116477@gmail.com>
Build-Depends: autotools-dev,
               debhelper (>= 9.20160114),
               autoconf2.13,
               libgconf2-dev,
               libx11-dev,
               libx11-xcb-dev,
               libxt-dev,
               libgtk-3-dev,
               libgtk2.0-dev (>= 2.10),
               libglib2.0-dev (>= 2.16.0),
               libstartup-notification0-dev,
               libjpeg-dev,
               zlib1g-dev,
               libbz2-dev,
               libreadline-dev,
               python2.7,
               python-minimal (>= 2.6.6-13~),
               python-ply,
               dpkg-dev (>= 1.16.1.1~),
               libdbus-glib-1-dev,
               libevent-dev (>= 1.4.1),
               libjsoncpp-dev,
               libpulse-dev,
               libasound2-dev, 
               yasm (>= 1.1),
               rustc (>= 1.24),
               cargo (>= 0.25),
               llvm-4.0-dev,
               libclang-4.0-dev,
               clang-4.0,
               zip,
               unzip,
               locales,
               xvfb,
               xfonts-base,
               xauth,
Standards-Version: 3.9.7
Homepage: https://www.waterfoxproject.org/

Package: waterfox
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: waterfox-kde
Replaces: waterfox-kde
Provides: www-browser, gnome-www-browser
Suggests: fonts-lyx, libasound2, pulseaudio, waterfox-kde
Description: Free, open and private browser
 Waterfox focuses on giving users choice while also helping make the world a
 better place. Watefox is partners with Ecosia, a search engine that plants trees
 with its generated revenues. The browser itself is focused on power users, which
 lets you make the important decisions. There is no plugin whitelist, you can run
 whichever extensions you like and absolutely no data or telemetry is sent back
 to Mozilla or the Waterfox project.
 .
 Waterfox is powered by Mozilla Firefox source code.
 .
 Note: Language packs are available as separate packages!

Package: waterfox-locale-ach
Architecture: all
Depends: ${misc:Depends}
Description: Acholi language pack for Waterfox
 This package contains Acholi translations for Waterfox

Package: waterfox-locale-af
Architecture: all
Depends: ${misc:Depends}
Description: Afrikaans language pack for Waterfox
 This package contains Afrikaans translations for Waterfox

Package: waterfox-locale-an
Architecture: all
Depends: ${misc:Depends}
Description: Aragonese language pack for Waterfox
 This package contains Aragonese translations for Waterfox

Package: waterfox-locale-ar
Architecture: all
Depends: ${misc:Depends}
Description: Arabic language pack for Waterfox
 This package contains Arabic translations for Waterfox

Package: waterfox-locale-as
Architecture: all
Depends: ${misc:Depends}
Description: Assamese language pack for Waterfox
 This package contains Assamese translations for Waterfox

Package: waterfox-locale-ast
Architecture: all
Depends: ${misc:Depends}
Description: Asturian language pack for Waterfox
 This package contains Asturian translations for Waterfox

Package: waterfox-locale-az
Architecture: all
Depends: ${misc:Depends}
Description: Azerbaijani language pack for Waterfox
 This package contains Azerbaijani translations for Waterfox

Package: waterfox-locale-bg
Architecture: all
Depends: ${misc:Depends}
Description: Bulgarian language pack for Waterfox
 This package contains Bulgarian translations for Waterfox

Package: waterfox-locale-bn
Architecture: all
Depends: ${misc:Depends}
Description: Bengali language pack for Waterfox
 This package contains Bengali translations for Waterfox

Package: waterfox-locale-br
Architecture: all
Depends: ${misc:Depends}
Description: Breton language pack for Waterfox
 This package contains Breton translations for Waterfox

Package: waterfox-locale-bs
Architecture: all
Depends: ${misc:Depends}
Description: Bosnian language pack for Waterfox
 This package contains Bosnian translations for Waterfox

Package: waterfox-locale-ca
Architecture: all
Depends: ${misc:Depends}
Description: Catalan; Valencian language pack for Waterfox
 This package contains Catalan; Valencian translations for Waterfox

Package: waterfox-locale-cak
Architecture: all
Depends: ${misc:Depends}
Description: Kaqchikel language pack for Waterfox
 This package contains Kaqchikel translations for Waterfox

Package: waterfox-locale-cs
Architecture: all
Depends: ${misc:Depends}
Description: Czech language pack for Waterfox
 This package contains Czech translations for Waterfox

Package: waterfox-locale-cy
Architecture: all
Depends: ${misc:Depends}
Description: Welsh language pack for Waterfox
 This package contains Welsh translations for Waterfox

Package: waterfox-locale-da
Architecture: all
Depends: ${misc:Depends}
Description: Danish language pack for Waterfox
 This package contains Danish translations for Waterfox

Package: waterfox-locale-de
Architecture: all
Depends: ${misc:Depends}
Description: German language pack for Waterfox
 This package contains German translations for Waterfox

Package: waterfox-locale-dsb
Architecture: all
Depends: ${misc:Depends}
Description: Lower Sorbian language pack for Waterfox
 This package contains Lower Sorbian translations for Waterfox

Package: waterfox-locale-el
Architecture: all
Depends: ${misc:Depends}
Description: Greek language pack for Waterfox
 This package contains Greek translations for Waterfox

Package: waterfox-locale-en
Architecture: all
Depends: ${misc:Depends}
Description: English language pack for Waterfox
 This package contains English translations for Waterfox

Package: waterfox-locale-eo
Architecture: all
Depends: ${misc:Depends}
Description: Esperanto language pack for Waterfox
 This package contains Esperanto translations for Waterfox

Package: waterfox-locale-es
Architecture: all
Depends: ${misc:Depends}
Description: Spanish; Castilian language pack for Waterfox
 This package contains Spanish; Castilian translations for Waterfox

Package: waterfox-locale-et
Architecture: all
Depends: ${misc:Depends}
Description: Estonian language pack for Waterfox
 This package contains Estonian translations for Waterfox

Package: waterfox-locale-eu
Architecture: all
Depends: ${misc:Depends}
Description: Basque language pack for Waterfox
 This package contains Basque translations for Waterfox

Package: waterfox-locale-fa
Architecture: all
Depends: ${misc:Depends}
Description: Persian language pack for Waterfox
 This package contains Persian translations for Waterfox

Package: waterfox-locale-ff
Architecture: all
Depends: ${misc:Depends}
Description: Fulah language pack for Waterfox
 This package contains Fulah translations for Waterfox

Package: waterfox-locale-fi
Architecture: all
Depends: ${misc:Depends}
Description: Finnish language pack for Waterfox
 This package contains Finnish translations for Waterfox

Package: waterfox-locale-fr
Architecture: all
Depends: ${misc:Depends}
Description: French language pack for Waterfox
 This package contains French translations for Waterfox

Package: waterfox-locale-fy
Architecture: all
Depends: ${misc:Depends}
Description: Western Frisian language pack for Waterfox
 This package contains Western Frisian translations for Waterfox

Package: waterfox-locale-ga
Architecture: all
Depends: ${misc:Depends}
Description: Irish (Ireland) language pack for Waterfox
 This package contains Irish (Ireland) translations for Waterfox

Package: waterfox-locale-gd
Architecture: all
Depends: ${misc:Depends}
Description: Gaelic; Scottish Gaelic language pack for Waterfox
 This package contains Gaelic; Scottish Gaelic translations for Waterfox

Package: waterfox-locale-gl
Architecture: all
Depends: ${misc:Depends}
Description: Galician language pack for Waterfox
 This package contains Galician translations for Waterfox

Package: waterfox-locale-gn
Architecture: all
Depends: ${misc:Depends}
Description: Guarani language pack for Waterfox
 This package contains Guarani translations for Waterfox

Package: waterfox-locale-gu
Architecture: all
Depends: ${misc:Depends}
Description: Gujarati (India) language pack for Waterfox
 This package contains Gujarati (India) translations for Waterfox

Package: waterfox-locale-he
Architecture: all
Depends: ${misc:Depends}
Description: Hebrew language pack for Waterfox
 This package contains Hebrew translations for Waterfox

Package: waterfox-locale-hi
Architecture: all
Depends: ${misc:Depends}
Description: Hindi (India) language pack for Waterfox
 This package contains Hindi (India) translations for Waterfox

Package: waterfox-locale-hr
Architecture: all
Depends: ${misc:Depends}
Description: Croatian language pack for Waterfox
 This package contains Croatian translations for Waterfox

Package: waterfox-locale-hsb
Architecture: all
Depends: ${misc:Depends}
Description: Sorbian, Upper language pack for Waterfox
 This package contains Sorbian, Upper translations for Waterfox

Package: waterfox-locale-hu
Architecture: all
Depends: ${misc:Depends}
Description: Hungarian language pack for Waterfox
 This package contains Hungarian translations for Waterfox

Package: waterfox-locale-hy
Architecture: all
Depends: ${misc:Depends}
Description: Armenian (Armenia) language pack for Waterfox
 This package contains Armenian (Armenia) translations for Waterfox

Package: waterfox-locale-id
Architecture: all
Depends: ${misc:Depends}
Description: Indonesian language pack for Waterfox
 This package contains Indonesian translations for Waterfox

Package: waterfox-locale-is
Architecture: all
Depends: ${misc:Depends}
Description: Icelandic language pack for Waterfox
 This package contains Icelandic translations for Waterfox

Package: waterfox-locale-it
Architecture: all
Depends: ${misc:Depends}
Description: Italian language pack for Waterfox
 This package contains Italian translations for Waterfox

Package: waterfox-locale-ja
Architecture: all
Depends: ${misc:Depends}
Description: Japanese language pack for Waterfox
 This package contains Japanese translations for Waterfox

Package: waterfox-locale-kk
Architecture: all
Depends: ${misc:Depends}
Description: Kazakh language pack for Waterfox
 This package contains Kazakh translations for Waterfox

Package: waterfox-locale-km
Architecture: all
Depends: ${misc:Depends}
Description: Central Khmer language pack for Waterfox
 This package contains Central Khmer translations for Waterfox

Package: waterfox-locale-kn
Architecture: all
Depends: ${misc:Depends}
Description: Kannada language pack for Waterfox
 This package contains Kannada translations for Waterfox

Package: waterfox-locale-ko
Architecture: all
Depends: ${misc:Depends}
Description: Korean language pack for Waterfox
 This package contains Korean translations for Waterfox

Package: waterfox-locale-lij
Architecture: all
Depends: ${misc:Depends}
Description: Ligurian language pack for Waterfox
 This package contains Ligurian translations for Waterfox

Package: waterfox-locale-lt
Architecture: all
Depends: ${misc:Depends}
Description: Lithuanian language pack for Waterfox
 This package contains Lithuanian translations for Waterfox

Package: waterfox-locale-lv
Architecture: all
Depends: ${misc:Depends}
Description: Latvian language pack for Waterfox
 This package contains Latvian translations for Waterfox

Package: waterfox-locale-mai
Architecture: all
Depends: ${misc:Depends}
Description: Maithili language pack for Waterfox
 This package contains Maithili translations for Waterfox

Package: waterfox-locale-mk
Architecture: all
Depends: ${misc:Depends}
Description: Macedonian language pack for Waterfox
 This package contains Macedonian translations for Waterfox

Package: waterfox-locale-ml
Architecture: all
Depends: ${misc:Depends}
Description: Malayalam language pack for Waterfox
 This package contains Malayalam translations for Waterfox

Package: waterfox-locale-mr

## waterfox 56.2.7.1

=== debian/changelog ===
waterfox (56.2.7.1-0.1~mx17+1) mx; urgency=medium

  * Rebuild for MX 17.

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 15 Feb 2019 13:15:41 -0800

waterfox (56.2.7.1-0) obs; urgency=medium
    * Fixed and updated search icons on about:home and about:newtab.
    * Test out a new user agent to hopefully fix website issues.

 -- hawkeye116477 <hawkeye116477@gmail.com>  Sat, 2 Feb 2019 17:17:00 +0200

waterfox (56.2.7-0) obs; urgency=medium
    * Mozilla Foundation Security Advisories patched

        - 2019-02

    * Fixed HTML5 DRM playback issues on websites such as Amazon Prime.

 -- hawkeye116477 <hawkeye116477@gmail.com>  Fri, 1 Feb 2019 00:15:00 +0200

waterfox (56.2.5-0) obs; urgency=high

    * Mozilla Foundation Security Advisories patched:

        - 2018-23
        - 2018-24
        - 2018-27

    * Added AppArmor profile

 -- hawkeye116477 <hawkeye116477@gmail.com>  Thu, 1 Nov 2018 14:10:00 +0200

waterfox (56.2.4-0) obs; urgency=high

    * Mozilla Foundation Security Advisories patched:
        - 2018-23
        - 2018-24

    * There is now a complete backup of all classic add-ons from the Mozilla Add-On Store, mirrored on the Waterfox CDN. You can use the Classic add-on Archive add-on to view the catalogue. This will be integrated into the next minor Waterfox version (56.3).

    * Moved from /opt to /usr/lib to follow Debian's standards

 -- hawkeye116477 <hawkeye116477@gmail.com>  Mon, 15 Oct 2018 13:48:00 +0200

=== debian/control ===
--- 
+++ 
@@ -4,6 +4,7 @@
 Maintainer: Steven Pusser <stevep@mxlinux.org>
 XSBC-Original-Maintainer: hawkeye116477 <hawkeye116477@gmail.com>
 Build-Depends: autotools-dev,
+               lsb-release, 
                debhelper (>= 9.20160114),
                autoconf2.13,
                libgconf2-dev,
@@ -385,4 +386,3 @@
 Description: Malayalam language pack for Waterfox
  This package contains Malayalam translations for Waterfox
 
-Package: waterfox-locale-mr

## waterfox 56.2.8

=== debian/changelog ===
waterfox (56.2.8-1~mx17+1) mx; urgency=medium

  * Rebuild for MX 17/18.

 -- Steven Pusser <stevep@mxlinux.org>  Sun, 24 Mar 2019 15:43:56 -0700

waterfox (56.2.8-0) obs; urgency=medium
    * Waterfox now identifies itself as Firefox 60 ESR. This should fix a lot of
      website issues. Unfortunately there will be no unique way to identify
      Waterfox. WhatsApp Web now works, as should Chase et al.
    * Various security fixes.
    * Corrected the behavior of Element.scrollIntoView which some websites rely on to work.
    * Disabled Service Workers by default.

 -- hawkeye116477 <hawkeye116477@gmail.com>  Fri, 15 Mar 2019 13:29:00 +0200
 

## waterfox 56.2.9

=== debian/changelog ===
waterfox (56.2.9-1~mx17+1) mx; urgency=medium

  * Rebuild for MX Linux.
  * debian/distribution.ini: adjust for MX Linux build.
  * debian/changelog: fix a lot of formatting.
  * debian/copyright: update to 2019.
  * debian/control:
    -clean up formatting.
    -build only with clang 4.0.
  * debian/mozconfig: remove lsb conditionals and build with llvm 4.0 toolchain.
  * debian/rules: disable automatic dbgsym packages.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 25 Apr 2019 13:38:52 -0700

waterfox (56.2.9-0) obs; urgency=medium

  * Various security fixes.
  * Switched to twemoji for platforms that do not natively support emoji.
  * Fixed bug causing issues with add-ons such as Tab Mix Plus.
  * Fixed issue with Instagram.

 -- hawkeye116477 <hawkeye116477@gmail.com>  Sat, 20 Apr 2019 10:55:00 +0200

=== debian/control ===
Source: waterfox
Section: web
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: hawkeye116477 <hawkeye116477@gmail.com>
Build-Depends: autotools-dev,
               debhelper (>= 9.20160114),
               autoconf2.13,
               libgconf2-dev,
               libx11-dev,
               libx11-xcb-dev,
               libxt-dev,
               libgtk-3-dev,
               libgtk2.0-dev (>= 2.10),
               libglib2.0-dev (>= 2.16.0),
               libstartup-notification0-dev,
               libjpeg-dev,
               zlib1g-dev,
               libbz2-dev,
               libreadline-dev,
               python2.7,
               python-minimal (>= 2.6.6-13~),
               python-ply,
               dpkg-dev (>= 1.16.1.1~),
               libdbus-glib-1-dev,
               libevent-dev (>= 1.4.1),
               libjsoncpp-dev,
               libpulse-dev,
               libasound2-dev, 
               yasm (>= 1.1),
               rustc (>= 1.24),
               cargo (>= 0.25),
               llvm-4.0-dev,
               libclang-4.0-dev,
               clang-4.0,
               zip,
               unzip,
               locales,
               xvfb,
               xfonts-base,
               xauth,
Standards-Version: 3.9.7
Homepage: https://www.waterfox.net/

Package: waterfox
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 libavcodec57 | libavcodec56| libavcodec58
Conflicts: waterfox-kde
Replaces: waterfox-kde
Provides: www-browser, gnome-www-browser
Suggests: fonts-lyx, libasound2, pulseaudio, waterfox-kde
Description: Free, open and private Mozilla-based browser
 Waterfox focuses on giving users choice while also helping make the world a
 better place. Waterfox is partners with Ecosia, a search engine that plants
 trees with its generated revenues. The browser itself is focused on power users,
 which lets you make the important decisions. There is no plugin whitelist, you
 can run whichever extensions you like and absolutely no data or telemetry is
 sent back to Mozilla or the Waterfox project.
 .
 Waterfox is powered by Mozilla Firefox source code.
 .
 Note: Language packs are available as separate packages!

Package: waterfox-locale-ach
Architecture: any
Depends: ${misc:Depends}
Description: Acholi language pack for Waterfox
 This package contains Acholi translations for Waterfox

Package: waterfox-locale-af
Architecture: any
Depends: ${misc:Depends}
Description: Afrikaans language pack for Waterfox
 This package contains Afrikaans translations for Waterfox

Package: waterfox-locale-an
Architecture: any
Depends: ${misc:Depends}
Description: Aragonese language pack for Waterfox
 This package contains Aragonese translations for Waterfox

Package: waterfox-locale-ar
Architecture: any
Depends: ${misc:Depends}
Description: Arabic language pack for Waterfox
 This package contains Arabic translations for Waterfox

Package: waterfox-locale-as
Architecture: any
Depends: ${misc:Depends}
Description: Assamese language pack for Waterfox
 This package contains Assamese translations for Waterfox

Package: waterfox-locale-ast
Architecture: any
Depends: ${misc:Depends}
Description: Asturian language pack for Waterfox
 This package contains Asturian translations for Waterfox

Package: waterfox-locale-az
Architecture: any
Depends: ${misc:Depends}
Description: Azerbaijani language pack for Waterfox
 This package contains Azerbaijani translations for Waterfox

Package: waterfox-locale-bg
Architecture: any
Depends: ${misc:Depends}
Description: Bulgarian language pack for Waterfox
 This package contains Bulgarian translations for Waterfox

Package: waterfox-locale-bn
Architecture: any
Depends: ${misc:Depends}
Description: Bengali language pack for Waterfox
 This package contains Bengali translations for Waterfox

Package: waterfox-locale-br
Architecture: any
Depends: ${misc:Depends}
Description: Breton language pack for Waterfox
 This package contains Breton translations for Waterfox

Package: waterfox-locale-bs
Architecture: any
Depends: ${misc:Depends}
Description: Bosnian language pack for Waterfox
 This package contains Bosnian translations for Waterfox

Package: waterfox-locale-ca
Architecture: any
Depends: ${misc:Depends}
Description: Catalan; Valencian language pack for Waterfox
 This package contains Catalan; Valencian translations for Waterfox

Package: waterfox-locale-cak
Architecture: any
Depends: ${misc:Depends}
Description: Kaqchikel language pack for Waterfox
 This package contains Kaqchikel translations for Waterfox

Package: waterfox-locale-cs
Architecture: any
Depends: ${misc:Depends}
Description: Czech language pack for Waterfox
 This package contains Czech translations for Waterfox

Package: waterfox-locale-cy
Architecture: any
Depends: ${misc:Depends}
Description: Welsh language pack for Waterfox
 This package contains Welsh translations for Waterfox

Package: waterfox-locale-da
Architecture: any
Depends: ${misc:Depends}
Description: Danish language pack for Waterfox
 This package contains Danish translations for Waterfox

Package: waterfox-locale-de
Architecture: any
Depends: ${misc:Depends}
Description: German language pack for Waterfox
 This package contains German translations for Waterfox

Package: waterfox-locale-dsb
Architecture: any
Depends: ${misc:Depends}
Description: Lower Sorbian language pack for Waterfox
 This package contains Lower Sorbian translations for Waterfox

Package: waterfox-locale-el
Architecture: any
Depends: ${misc:Depends}
Description: Greek language pack for Waterfox
 This package contains Greek translations for Waterfox

Package: waterfox-locale-en
Architecture: any
Depends: ${misc:Depends}
Description: English language pack for Waterfox
 This package contains English translations for Waterfox

Package: waterfox-locale-eo
Architecture: any
Depends: ${misc:Depends}
Description: Esperanto language pack for Waterfox
 This package contains Esperanto translations for Waterfox

Package: waterfox-locale-es
Architecture: any
Depends: ${misc:Depends}
Description: Spanish; Castilian language pack for Waterfox
 This package contains Spanish; Castilian translations for Waterfox

Package: waterfox-locale-et
Architecture: any
Depends: ${misc:Depends}
Description: Estonian language pack for Waterfox
 This package contains Estonian translations for Waterfox

Package: waterfox-locale-eu
Architecture: any
Depends: ${misc:Depends}
Description: Basque language pack for Waterfox
 This package contains Basque translations for Waterfox

Package: waterfox-locale-fa
Architecture: any
Depends: ${misc:Depends}
Description: Persian language pack for Waterfox
 This package contains Persian translations for Waterfox

Package: waterfox-locale-ff
Architecture: any
Depends: ${misc:Depends}
Description: Fulah language pack for Waterfox
 This package contains Fulah translations for Waterfox

Package: waterfox-locale-fi
Architecture: any
Depends: ${misc:Depends}
Description: Finnish language pack for Waterfox
 This package contains Finnish translations for Waterfox

Package: waterfox-locale-fr
Architecture: any
Depends: ${misc:Depends}
Description: French language pack for Waterfox
 This package contains French translations for Waterfox

Package: waterfox-locale-fy
Architecture: any
Depends: ${misc:Depends}
Description: Western Frisian language pack for Waterfox
 This package contains Western Frisian translations for Waterfox

Package: waterfox-locale-ga
Architecture: any
Depends: ${misc:Depends}
Description: Irish (Ireland) language pack for Waterfox
 This package contains Irish (Ireland) translations for Waterfox

Package: waterfox-locale-gd
Architecture: any
Depends: ${misc:Depends}
Description: Gaelic; Scottish Gaelic language pack for Waterfox
 This package contains Gaelic; Scottish Gaelic translations for Waterfox

Package: waterfox-locale-gl
Architecture: any
Depends: ${misc:Depends}
Description: Galician language pack for Waterfox
 This package contains Galician translations for Waterfox

Package: waterfox-locale-gn
Architecture: any
Depends: ${misc:Depends}
Description: Guarani language pack for Waterfox
 This package contains Guarani translations for Waterfox

Package: waterfox-locale-gu
Architecture: any
Depends: ${misc:Depends}
Description: Gujarati (India) language pack for Waterfox
 This package contains Gujarati (India) translations for Waterfox

Package: waterfox-locale-he
Architecture: any
Depends: ${misc:Depends}
Description: Hebrew language pack for Waterfox
 This package contains Hebrew translations for Waterfox

Package: waterfox-locale-hi
Architecture: any
Depends: ${misc:Depends}
Description: Hindi (India) language pack for Waterfox
 This package contains Hindi (India) translations for Waterfox

Package: waterfox-locale-hr
Architecture: any
Depends: ${misc:Depends}
Description: Croatian language pack for Waterfox
 This package contains Croatian translations for Waterfox

Package: waterfox-locale-hsb
Architecture: any
Depends: ${misc:Depends}
Description: Sorbian, Upper language pack for Waterfox
 This package contains Sorbian, Upper translations for Waterfox

Package: waterfox-locale-hu
Architecture: any
Depends: ${misc:Depends}
Description: Hungarian language pack for Waterfox
 This package contains Hungarian translations for Waterfox

Package: waterfox-locale-hy
Architecture: any
Depends: ${misc:Depends}
Description: Armenian (Armenia) language pack for Waterfox
 This package contains Armenian (Armenia) translations for Waterfox

Package: waterfox-locale-id
Architecture: any
Depends: ${misc:Depends}
Description: Indonesian language pack for Waterfox
 This package contains Indonesian translations for Waterfox

Package: waterfox-locale-is
Architecture: any
Depends: ${misc:Depends}
Description: Icelandic language pack for Waterfox
 This package contains Icelandic translations for Waterfox

Package: waterfox-locale-it
Architecture: any
Depends: ${misc:Depends}
Description: Italian language pack for Waterfox
 This package contains Italian translations for Waterfox

Package: waterfox-locale-ja
Architecture: any
Depends: ${misc:Depends}
Description: Japanese language pack for Waterfox
 This package contains Japanese translations for Waterfox

Package: waterfox-locale-kk
Architecture: any
Depends: ${misc:Depends}
Description: Kazakh language pack for Waterfox
 This package contains Kazakh translations for Waterfox

Package: waterfox-locale-km
Architecture: any
Depends: ${misc:Depends}
Description: Central Khmer language pack for Waterfox
 This package contains Central Khmer translations for Waterfox

Package: waterfox-locale-kn
Architecture: any
Depends: ${misc:Depends}
Description: Kannada language pack for Waterfox
 This package contains Kannada translations for Waterfox

Package: waterfox-locale-ko
Architecture: any
Depends: ${misc:Depends}
Description: Korean language pack for Waterfox
 This package contains Korean translations for Waterfox

Package: waterfox-locale-lij
Architecture: any
Depends: ${misc:Depends}
Description: Ligurian language pack for Waterfox
 This package contains Ligurian translations for Waterfox

Package: waterfox-locale-lt
Architecture: any
Depends: ${misc:Depends}
Description: Lithuanian language pack for Waterfox
 This package contains Lithuanian translations for Waterfox

Package: waterfox-locale-lv
Architecture: any
Depends: ${misc:Depends}
Description: Latvian language pack for Waterfox
 This package contains Latvian translations for Waterfox

Package: waterfox-locale-mai
Architecture: any
Depends: ${misc:Depends}
Description: Maithili language pack for Waterfox
 This package contains Maithili translations for Waterfox

Package: waterfox-locale-mk
Architecture: any
Depends: ${misc:Depends}
Description: Macedonian language pack for Waterfox
 This package contains Macedonian translations for Waterfox

Package: waterfox-locale-ml
Architecture: any
Depends: ${misc:Depends}
Description: Malayalam language pack for Waterfox

## waterfox 56.2.10

=== debian/changelog ===
waterfox (56.2.10-1~mx17+1) mx; urgency=medium

  * Latest security fixes up to Firefox ESR 60.7
  * Added new Mozilla certificates to be able to install add-ons from AMO again.
  * Waterfox now identifies as Waterfox once again!
    - This fixes issues with repeat CAPTCHAs, hooray!
    - Websites that require a vanilla Firefox user agent will get one, so far:
      web.whatsapp.com, amazon.*, netflix.com, chase.com. Please request if a
      website you visit doesn’t recognise the Waterfox user agent.
    - This should stop YouTube from doing A/B tests that break on Waterfox.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 21 May 2019 15:10:00 -0700

=== debian/rules ===
--- 
+++ 
@@ -26,3 +26,6 @@
 
 override_dh_shlibdeps:
 	dh_shlibdeps -l /usr/lib/waterfox/waterfox
+
+override_dh_strip:
+	dh_strip --no-automatic-dbgsym

## waterfox 56.2.10.1

=== debian/changelog ===
waterfox (56.2.10.1-1mx17+1) mx; urgency=medium

  * Rebuild for MX 17.
  * Use clang-4.0.
  * Use wrap-and-sort on debian folder.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 10 Jun 2019 15:36:09 -0700

waterfox (56.2.10.1-0) obs; urgency=medium
    * User agent overrides for more domains (Spotify, Slack, Wire and others)
    * Fixed Bugs: 1466606, 1386277, 1404198 and 1398897

 -- hawkeye116477 <hawkeye116477@gmail.com>  Sun, 07 Jun 2019 18:36:00 +0200

=== debian/control ===
--- 
+++ 
@@ -3,52 +3,53 @@
 Priority: optional
 Maintainer: Steven Pusser <stevep@mxlinux.org>
 XSBC-Original-Maintainer: hawkeye116477 <hawkeye116477@gmail.com>
-Build-Depends: autotools-dev,
+Build-Depends: autoconf2.13,
+               autotools-dev,
+               cargo (>= 0.25),
+               clang-4.0,
                debhelper (>= 9.20160114),
-               autoconf2.13,
+               dpkg-dev (>= 1.16.1.1~),
+               libasound2-dev,
+               libbz2-dev,
+               libclang-4.0-dev,
+               libdbus-glib-1-dev,
+               libevent-dev (>= 1.4.1),
                libgconf2-dev,
+               libglib2.0-dev (>= 2.16.0),
+               libgtk-3-dev,
+               libgtk2.0-dev (>= 2.10),
+               libjpeg-dev,
+               libjsoncpp-dev,
+               libpulse-dev,
+               libreadline-dev,
+               libstartup-notification0-dev,
                libx11-dev,
                libx11-xcb-dev,
                libxt-dev,
-               libgtk-3-dev,
-               libgtk2.0-dev (>= 2.10),
-               libglib2.0-dev (>= 2.16.0),
-               libstartup-notification0-dev,
-               libjpeg-dev,
-               zlib1g-dev,
-               libbz2-dev,
-               libreadline-dev,
-               python2.7,
+               llvm-4.0-dev,
+               locales,
                python-minimal (>= 2.6.6-13~),
                python-ply,
-               dpkg-dev (>= 1.16.1.1~),
-               libdbus-glib-1-dev,
-               libevent-dev (>= 1.4.1),
-               libjsoncpp-dev,
-               libpulse-dev,
-               libasound2-dev, 
+               python2.7,
+               rustc (>= 1.24),
+               unzip,
+               xauth,
+               xfonts-base,
+               xvfb,
                yasm (>= 1.1),
-               rustc (>= 1.24),
-               cargo (>= 0.25),
-               llvm-4.0-dev,
-               libclang-4.0-dev,
-               clang-4.0,
                zip,
-               unzip,
-               locales,
-               xvfb,
-               xfonts-base,
-               xauth,
+               zlib1g-dev
 Standards-Version: 3.9.7
 Homepage: https://www.waterfox.net/
 
 Package: waterfox
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends},
- libavcodec57 | libavcodec56| libavcodec58
+Depends: libavcodec57 | libavcodec56 | libavcodec58,
+         ${misc:Depends},
+         ${shlibs:Depends}
 Conflicts: waterfox-kde
 Replaces: waterfox-kde
-Provides: www-browser, gnome-www-browser
+Provides: gnome-www-browser, www-browser
 Suggests: fonts-lyx, libasound2, pulseaudio, waterfox-kde
 Description: Free, open and private Mozilla-based browser
  Waterfox focuses on giving users choice while also helping make the world a

=== debian/rules ===
--- 
+++ 
@@ -27,5 +27,5 @@
 override_dh_shlibdeps:
 	dh_shlibdeps -l /usr/lib/waterfox/waterfox
 
-override_dh_strip:
-	dh_strip --no-automatic-dbgsym
+override_dh_builddeb:
+	dh_builddeb -- -Z xz

## waterfox 56.2.11

=== debian/changelog ===
waterfox (56.2.11-1mx19) mx; urgency=medium

  * Rebuild for MX 19.

 -- Steven Pusser <stevep@mxlinux.org>  Sun, 23 Jun 2019 16:13:15 -0700

waterfox (56.2.11-0) obs; urgency=high
    * Security fix for CVE-2019-11707.
    * Fixed issues that prevented themes from AMO installing.
    * Added some more overrides for popular websites.
    * Fixed issues where the Gecko Media Plugins were not downloading,
      preventing websites that required DRM such as Netflix from working.
    * Enabled support for JavaScript modules.

 -- hawkeye116477 <hawkeye116477@gmail.com>  Thu, 20 Jun 2019 14:51:00 +0200

=== debian/control ===
--- 
+++ 
@@ -3,31 +3,47 @@
 Priority: optional
 Maintainer: Steven Pusser <stevep@mxlinux.org>
 XSBC-Original-Maintainer: hawkeye116477 <hawkeye116477@gmail.com>
-Build-Depends: autoconf2.13,
+Build-Depends: apt-utils,
+               autoconf2.13,
                autotools-dev,
+               binutils-avr,
                cargo (>= 0.25),
-               clang-4.0,
-               debhelper (>= 9.20160114),
+               ccache,
+               clang-6.0,
+               dbus-x11,
+               debhelper (>= 9),
                dpkg-dev (>= 1.16.1.1~),
                libasound2-dev,
-               libbz2-dev,
-               libclang-4.0-dev,
+               libcurl4-openssl-dev,
                libdbus-glib-1-dev,
                libevent-dev (>= 1.4.1),
+               libfile-fcntllock-perl,
+               libfontconfig1-dev,
+               libfreetype6-dev,
                libgconf2-dev,
+               libgl1-mesa-dev,
                libglib2.0-dev (>= 2.16.0),
-               libgtk-3-dev,
+               libgtk-3-dev (>= 3.4),
                libgtk2.0-dev (>= 2.10),
+               libiw-dev,
                libjpeg-dev,
                libjsoncpp-dev,
+               libnotify-dev,
+               libpango1.0-dev,
                libpulse-dev,
                libreadline-dev,
                libstartup-notification0-dev,
+               libtinfo-dev,
                libx11-dev,
                libx11-xcb-dev,
+               libxext-dev,
+               libxrender-dev,
                libxt-dev,
-               llvm-4.0-dev,
+               llvm-6.0-dev,
                locales,
+               lsb-release,
+               mesa-common-dev,
+               pkg-config,
                python-minimal (>= 2.6.6-13~),
                python-ply,
                python2.7,
@@ -44,20 +60,13 @@
 
 Package: waterfox
 Architecture: any
-Depends: libavcodec57 | libavcodec56 | libavcodec58,
-         ${misc:Depends},
-         ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Conflicts: waterfox-kde
 Replaces: waterfox-kde
 Provides: gnome-www-browser, www-browser
 Suggests: fonts-lyx, libasound2, pulseaudio, waterfox-kde
-Description: Free, open and private Mozilla-based browser
- Waterfox focuses on giving users choice while also helping make the world a
- better place. Waterfox is partners with Ecosia, a search engine that plants
- trees with its generated revenues. The browser itself is focused on power users,
- which lets you make the important decisions. There is no plugin whitelist, you
- can run whichever extensions you like and absolutely no data or telemetry is
- sent back to Mozilla or the Waterfox project.
+Description: Free, open and private browser
+ Waterfox focuses on giving users choice while also helping make the world a better place. Watefox is partners with Ecosia, a search engine that plants trees with its generated revenues. The browser itself is focused on power users, which lets you make the important decisions. There is no plugin whitelist, you can run whichever extensions you like and absolutely no data or telemetry is sent back to Mozilla or the Waterfox project.
  .
  Waterfox is powered by Mozilla Firefox source code.
  .
@@ -372,16 +381,3 @@
 Package: waterfox-locale-mai
 Architecture: any
 Depends: ${misc:Depends}
-Description: Maithili language pack for Waterfox
- This package contains Maithili translations for Waterfox
-
-Package: waterfox-locale-mk
-Architecture: any
-Depends: ${misc:Depends}
-Description: Macedonian language pack for Waterfox
- This package contains Macedonian translations for Waterfox
-
-Package: waterfox-locale-ml
-Architecture: any
-Depends: ${misc:Depends}
-Description: Malayalam language pack for Waterfox
